




	.csect [ro]
S.&mFNAME:
	.string  	"&mFNAM2"
.csect &mFNAME[ds] ; .globl &mFNAME[ds] ; .long &mFNAME.ptrentry , TOC[tc0] , 0
	.toc
T.S.&mFNAME:
	.tc  		S.&mFNAME[tc], S.&mFNAME
T.&mFNAME:
	.tc  		&mFNAME[tc], &mFNAME[ds]
	.csect  	.&mFNAME[gl]
	.globl   	.&mFNAME[gl]
&mFNAME.code_start:
	stw	 2, 20(1)
&mFNAME.ptrentry:
	mflr	11
&mFNAME.ptr2:
	stw	 3,24+0*4(1)
	stw	 4,24+1*4(1)
	stw	 5,24+2*4(1)
	stw	 6,24+3*4(1)
	stw	 7,24+4*4(1)
	stw	 8,24+5*4(1)
	stw	 9,24+6*4(1)
	stw	10,24+7*4(1)
	stw	11,8(1)
	stu	 1,-56(1)
	li	 3,0
	lwz	 4,T.S.&mFNAME(2)
	lwz	 5,T.&mFNAME(2)
	li	 6,0
	li	 7,0
	.extern  	._mFdynload
	bl	._mFdynload
	nop
	lwz	 0,0(3)
	lwz	 2,4(3)
	la	 1,56(1)
	lwz	11,8(1)
	lwz	 3,24+0*4(1)
	lwz	 4,24+1*4(1)
	mtctr	 0
	lwz	 5,24+2*4(1)
	lwz	 6,24+3*4(1)
	mtlr	11		# Restore original lr
	lwz	 7,24+4*4(1)
	lwz	 8,24+5*4(1)
	lwz	 9,24+6*4(1)
	lwz	10,24+7*4(1)
	bctr
	.long	0		# trace back table marker
	.long	0x000c0000	# version 0, assembler
	.long	0
